# Uses of Class
javax.net.SocketFactory

Packages that use SocketFactory
Package
Description
javax.net
Provides classes for networking applications.
javax.net.ssl
Provides classes for the secure socket package.

- ## Uses of SocketFactory in javax.net

  Methods in javax.net that return SocketFactory
  Modifier and Type
  Method
  Description
  `static SocketFactory`
  SocketFactory.`getDefault()`
  Returns a copy of the environment's default socket factory.

- ## Uses of SocketFactory in javax.net.ssl

  Subclasses of SocketFactory in javax.net.ssl
  Modifier and Type
  Class
  Description
  `class`
  `SSLSocketFactory`
  `SSLSocketFactory`s create `SSLSocket`s.
  Methods in javax.net.ssl that return SocketFactory
  Modifier and Type
  Method
  Description
  `static SocketFactory`
  SSLSocketFactory.`getDefault()`
  Returns the default SSL socket factory.